package com.example.nekontakte.posts.model;

import java.util.Date;
import java.util.Objects;

import com.example.nekontakte.core.model.BaseEntity;
import com.example.nekontakte.users.model.UserEntity;

public class PostEntity extends BaseEntity {
    private UserEntity user;
    private Date pubDate;
    private String image;
    private String html;

    public PostEntity() {
    }

    public PostEntity(
            Integer id,
            UserEntity user,
            Date pubDate,
            String image,
            String html) {
        super(id);
        setUser(user);
        setPubDate(pubDate);
        setImage(image);
        setHtml(html);
    }

    public UserEntity getUser() {
        return user;
    }

    public void setUser(UserEntity user) {
        this.user = user;
    }

    public Date getPubDate() {
        return pubDate;
    }

    public void setPubDate(Date pubDate) {
        this.pubDate = pubDate;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getHtml() {
        return html;
    }

    public void setHtml(String html) {
        this.html = html;
    }

    @Override
    public int hashCode() {
        return Objects.hash(
                id,
                user,
                pubDate,
                image,
                html);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null || getClass() != obj.getClass())
            return false;
        final PostEntity other = (PostEntity) obj;
        return Objects.equals(other.getId(), id) &&
                Objects.equals(other.getUser(), user) &&
                Objects.equals(other.getPubDate(), pubDate) &&
                Objects.equals(other.getImage(), image) &&
                Objects.equals(other.getHtml(), html);
    }
}
