package com.example.nekontakte.subscribes.model;

import java.util.Objects;

import com.example.nekontakte.core.model.BaseEntity;
import com.example.nekontakte.users.model.UserEntity;

public class SubscribeEntity extends BaseEntity {
    private UserEntity user;
    private UserEntity subscriber;

    public SubscribeEntity() {
        super();
    }

    public SubscribeEntity(Integer id, UserEntity user, UserEntity subscriber) {
        super(id);
        setUser(user);
        setSubscriber(subscriber);
    }

    public UserEntity getUser() {
        return user;
    }

    public void setUser(UserEntity user) {
        this.user = user;
    }

    public UserEntity getSubscriber() {
        return subscriber;
    }

    public void setSubscriber(UserEntity subscriber) {
        this.subscriber = subscriber;
    }

    @Override
    public int hashCode() {
        return Objects.hash(
                id,
                user,
                subscriber);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null || getClass() != obj.getClass())
            return false;
        final SubscribeEntity other = (SubscribeEntity) obj;
        return Objects.equals(other.getId(), id) &&
                Objects.equals(other.getUser(), user) &&
                Objects.equals(other.getSubscriber(), subscriber);
    }

}
