package com.example.nekontakte.users.model;

import java.util.Date;
import java.util.Objects;

import com.example.nekontakte.core.model.BaseEntity;

public class UserEntity extends BaseEntity {

    private String name;
    private String surname;
    private Date birthday;
    private String city;
    private String avatarImg;
    private String username;
    private String password;
    private boolean isAdmin;
    private String status;

    public UserEntity() {
    }

    public UserEntity(
            Integer id,
            String username,
            String password,
            boolean isAdmin,
            String name,
            String surname,
            Date birthday,
            String city,
            String avatarImg,
            String status) {
        super(id);
        this.username = username;
        this.password = password;
        this.name = name;
        this.surname = surname;
        this.birthday = birthday;
        this.city = city;
        this.avatarImg = avatarImg;
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAvatarImg() {
        return avatarImg;
    }

    public void setAvatarImg(String avatarImg) {
        this.avatarImg = avatarImg;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(boolean isAdmin) {
        this.isAdmin = isAdmin;
    }

    @Override
    public int hashCode() {
        return Objects.hash(
                id,
                username,
                password,
                isAdmin,
                name,
                surname,
                status,
                city,
                birthday,
                avatarImg);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null || getClass() != obj.getClass())
            return false;
        final UserEntity other = (UserEntity) obj;
        return Objects.equals(other.getId(), id) &&
                Objects.equals(other.getUsername(), username) &&
                Objects.equals(other.getIsAdmin(), isAdmin) &&
                Objects.equals(other.getPassword(), password) &&
                Objects.equals(other.getName(), name) &&
                Objects.equals(other.getSurname(), surname) &&
                Objects.equals(other.getStatus(), status) &&
                Objects.equals(other.getCity(), city) &&
                Objects.equals(other.getBirthday(), birthday) &&
                Objects.equals(other.getAvatarImg(), avatarImg);
    }
}