package com.example.nekontakte.users.service;

import java.util.List;
import java.util.Optional;

import org.springframework.stereotype.Service;

import com.example.nekontakte.core.errors.NotFoundException;
import com.example.nekontakte.users.model.UserEntity;
import com.example.nekontakte.users.repository.UserRepository;

@Service
public class UserService {
    private final UserRepository repository;

    public UserService(UserRepository repository) {
        this.repository = repository;
    }

    public List<UserEntity> getAll() {
        return repository.getAll();
    }

    public UserEntity get(Integer id) {
        return Optional.ofNullable(repository.get(id)).orElseThrow(() -> new NotFoundException(id));
    }

    public UserEntity create(UserEntity entity) {
        return repository.create(entity);
    }

    public UserEntity update(Integer id, UserEntity entity) {
        final UserEntity existsentity = get(id);
        existsentity.setUsername(entity.getUsername());
        existsentity.setPassword(entity.getPassword());
        existsentity.setIsAdmin(entity.getIsAdmin());
        existsentity.setName(entity.getName());
        existsentity.setSurname(entity.getSurname());
        existsentity.setStatus(entity.getStatus());
        existsentity.setBirthday(entity.getBirthday());
        existsentity.setCity(entity.getCity());
        existsentity.setStatus(entity.getStatus());
        return repository.update(existsentity);
    }

    public UserEntity delete(Integer id) {
        final UserEntity existsentity = get(id);
        return repository.delete(existsentity);
    }

}